Skip to main content
POST
/
api
/
v2
/
platform
/
vendors
Create a Vendor
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: '<string>',
    contact_person_email: '<string>',
    invitation_message: '<string>',
    public_metadata: {},
    private_metadata: {},
    platform_fee: 5,
    state: 'pending',
    contact_person_name: '<string>',
    contact_person_phone: '<string>'
  })
};

fetch('http://{defaultHost}/api/v2/platform/vendors', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

include
string

Select which associated resources you would like to fetch, see: https://jsonapi.org/format/#fetching-includes

Body

application/json
name
string
required
contact_person_email
string
required
invitation_message
string
public_metadata
object
private_metadata
object
platform_fee
number
default:5
state
string
default:pending
contact_person_name
string
contact_person_phone
string

Response

Record created